NEEDLE-COUNT(1)

NAME
needle-count - Get expression value depending on minimizers. This function is an alternative to pseudoaligners like kallisto. It estimates the expression value for all sequences in the genome file based on the exact minimiser occurrences of the given sequence files. Please run genome beforehand to create the genome file.

POSITIONAL ARGUMENTS

ARGUMENT-1 (List of std::filesystem::path)
    Please provide at least one sequence file. Default: [].

OPTIONS

  Basic options:

-h, --help
    Prints the help page.

-hh, --advanced-help
    Prints the help page including advanced options.

--version
    Prints the version information.

--copyright
    Prints the copyright/license information.

--export-help (std::string)
    Export the help page information. Value must be one of [html, man].

-k, --kmer (unsigned 8 bit integer)
    Define k-mer size for the minimisers. Default: 20. Default: 20.

-w, --window (unsigned 32 bit integer)
    Define window size for the minimisers. Default: 60. Default: 0.

--shape (unsigned 64 bit integer)
    Define a shape for the minimisers by the decimal of a bitvector, where 0 symbolizes a position to be ignored, 1 a position considered. Default: ungapped. Default: 0.

--seed (unsigned 64 bit integer)
    Define seed for the minimisers. Default: 0.

-o, --out (std::filesystem::path)
    Directory, where output files should be saved. Default: "./".

-t, --threads (unsigned 8 bit integer)
    Number of threads to use. Default: 1. Default: 1.

--include (std::filesystem::path)
    Please provide one sequence file with transcripts.

--genome (std::filesystem::path)
    Please provide one *.genome file created with the genome command. Default: "".

-p, --paired
    If set, experiments are paired. Default: Not paired.

VERSION
Last update: 2024-11-07
needle-count version: 1.0.3
SeqAn version: 3.4.0

URL
https://github.com/seqan/needle

LEGAL
needle-count Copyright: BSD 3-Clause License
Author: Mitra Darvish
SeqAn Copyright: 2006-2025 Knut Reinert, FU-Berlin; released under the 3-clause BSDL.
In your academic works please cite: Needle: a fast and space-efficient prefilter for estimating the quantification of very large collections of expression experiments; Mitra Darvish, Enrico Seiler, Svenja Mehringer, René Rahn, and Knut Reinert; Bioinformatics, Volume 38, Issue 17, 1 September 2022, Pages 4100-4108. doi: https://doi.org/10.1093/bioinformatics/btac492
For full copyright and/or warranty information see --copyright.